<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/paginationjs/2.1.5/pagination.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/simplePagination.js/1.6/simplePagination.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.33/sweetalert2.css" />
    <link rel="stylesheet" href="./css/style.css" />
    <style>
      form .error {
        color: #d30000;
        font-size: 14px;
        font-weight: normal !important;
      }
    </style>
    <title>ShopBĐS</title>
  </head>

  <body>
    <!-- header -->
    <header>
      <nav class="navbar navbar-expand-lg navbar-light" id="navbar-main">
        <div class="container">
          <a class="navbar-brand text-info logo" href="index.html"
            ><i class="mdi mdi-home-map-marker"></i> <strong>Shop24h</strong> BĐS</a
          >
          <button
            class="navbar-toggler navbar-toggler-right"
            type="button"
            data-toggle="collapse"
            data-target="#navbarResponsive"
            aria-controls="navbarResponsive"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav mr-auto my-2 m-auto">
              <li class="nav-item mx-1">
                <a class="nav-link" href="index.html"> Trang chủ </a>
              </li>
              <li class="nav-item dropdown mx-1">
                <a class="nav-link" href="project.html" id="navbarDropdown"> Danh sách Dự án </a>
              </li>
              <li class="nav-item dropdown mx-1">
                <a class="nav-link" href="estatelist.html" id=""> Danh sách BĐS </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="">Đất</a>
                  <a class="dropdown-item" href="">Nhà ở</a>
                  <a class="dropdown-item" href="">Căn hộ/Chung cư</a>
                  <a class="dropdown-item" href="">Văn phòng, Mặt bằng</a>
                  <a class="dropdown-item" href="">Kinh doanh</a>
                  <a class="dropdown-item" href="">Phòng trọ</a>
                </div>
              </li>

              <li class="nav-item dropdown mx-1">
                <a
                  class="nav-link dropdown-toggle"
                  href="#"
                  id="navbarDropdown"
                  data-toggle="dropdown"
                  aria-haspopup="true"
                  aria-expanded="false"
                >
                  Tin tức
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="">Blog</a>
                  <a class="dropdown-item" href="">Tin bất động sản</a>
                </div>
              </li>
              <li class="nav-item dropdown mx-1">
                <a
                  class="nav-link dropdown-toggle"
                  href=""
                  id="navbarDropdown"
                  data-toggle="dropdown"
                  aria-haspopup="true"
                  aria-expanded="false"
                >
                  Quản lý tài khoản
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="#">Thông tin tài khoản</a>
                  <a class="dropdown-item" href="manageList.html">Quản lý tin đăng</a>
                  <a class="dropdown-item" href="estateAdd.html">Đăng tin mới</a>
                </div>
              </li>
            </ul>

            <div class="">
              <ul class="list-inline main-nav-right my-2">
                <li class="list-inline-item">
                  <a class="btn btn-link btn-sm text-info" href="login.html">Đăng nhập</a>
                </li>
                <li class="list-inline-item">
                  <a class="btn btn-info btn-sm" href="register.html">Đăng ký</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </nav>
    </header>

    <!-- 2. Slide body -->

    <!-- end slide -->

    <!-- popular -->
    <div class="contaner-fluid py-5 pb-5" id="project-popular">
      <div class="container">
        <div class="row mt-5">
          <div
            class="p-5 bg-white jumbotron mx-auto border border-info rounded"
            style="min-width: 500px"
            id="signup-form"
          >
            <form id="register-form">
              <h3 class="text-center">Đăng ký</h3>
              <hr />
              <div class="form-group">
                <label for="username">Họ và tên <span class="text-danger">(*)</span></label>
                <input type="text" name="fullname" class="form-control" id="inp-fullname" placeholder="Họ và tên" />
              </div>
              <div class="form-group">
                <label for="username">Username <span class="text-danger">(*)</span></label>
                <input type="text" name="username" class="form-control" id="inp-username" placeholder="Tên đăng nhập" />
              </div>
              <div class="form-group">
                <label for="password">Password <span class="text-danger">(*)</span></label>
                <input type="password" name="password" class="form-control" id="inp-password" placeholder="Password" />
              </div>
              <div class="form-group">
                <label for="email">Email <span class="text-danger">(*)</span></label>
                <input type="text" name="email" class="form-control" id="inp-email" placeholder="Email" />
              </div>
              <div class="form-group">
                <label for="phone">Điện thoại <span class="text-danger">(*)</span></label>
                <input type="text" name="phone" class="form-control" id="inp-phone" placeholder="Điện thoại" />
              </div>
              <div class="form-group">
                <label for="address">Địa chỉ </label>
                <input type="text" name="address" class="form-control" id="inp-address" placeholder="Địa chỉ" />
              </div>
              <button type="submit" id="submit-btn" class="btn btn-info btn-block">Đăng ký</button>
              <hr />
              <p class="mt-4 text-center">
                Bạn đã có tài khoản? <a href="login.html" id="" class="text-decoration-none"> Đăng nhập </a>
              </p>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- end popular -->

    <!-- footer -->
    <div class="container-fluid pt-5">
      <section class="section-padding" id="footer">
        <div class="container">
          <div class="row">
            <div class="col-md-3">
              <h4 class="">
                <a class="text-info logo" href="#"><i class=""></i> <strong>Shop24h</strong> BĐS</a>
              </h4>
              <p>Copyright © - LinhTN<br />Devcamp120</p>
              <p class="mb-0"><a class="text-dark" href="#">+84 999 999 999</a></p>
              <p class="mb-0"><a class="text-info" href="#">linhtn@gmail.com</a></p>
            </div>
            <div class="col-md-3">
              <h6 class="">Công ty</h6>
              <ul>
                <li><a href="#">About us</a></li>
                <li><a href="#">Career</a></li>
                <li><a href="#">Services</a></li>
                <li><a href="#">Properties</a></li>
                <li><a href="#">Contact</a></li>
                <ul></ul>
              </ul>
            </div>
            <div class="col-md-3">
              <h6 class="">Xem thêm</h6>
              <ul>
                <li><a href="#">Privacy</a></li>
                <li><a href="#">Terms &amp; Conditions</a></li>
                <li><a href="#">Account</a></li>
                <li><a href="#">FAQ</a></li>
                <li><a href="#">Blog</a></li>
                <ul></ul>
              </ul>
            </div>
            <div class="col-md-3">
              <h6 class="">Nhận tin mới nhất</h6>
              <div class="input-group">
                <input
                  type="text"
                  class="form-control"
                  placeholder="Email Address..."
                  aria-label="Recipient's username"
                  aria-describedby="basic-addon2"
                />
                <div class="input-group-append">
                  <button class="btn btn-outline-secondary" type="button"><i class="fa-solid fa-at"></i></button>
                </div>
              </div>
              <h6 class="mt-4">GET IN TOUCH</h6>
              <div class="footer-social">
                <a href="#"><i class="fa-brands fa-facebook-f text-info"></i></a>
                <a href="#"><i class="fa-brands fa-twitter text-info"></i></a>
                <a href="#"><i class="fa-brands fa-square-instagram text-info"></i></a>
                <a href="#"><i class="fa-brands fa-google-plus-g text-info"></i></a>
              </div>
            </div>
          </div>
        </div>

        <!-- Button trigger modal -->

        <!-- Modal -->
        <div
          class="modal fade"
          id="modal-success"
          tabindex="-1"
          role="dialog"
          aria-labelledby="modelTitleId"
          aria-hidden="true"
        >
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Đăng ký thành công</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-info btn-confirm">Đăng nhập ngay</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    <!-- end footer -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/autonumeric/4.1.0/autoNumeric.min.js"></script>
    <script
      type="text/javascript"
      src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"
    ></script>
    <script src="./js/slick.js"></script>
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/paginationjs/2.1.5/pagination.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/simplePagination.js/1.6/jquery.simplePagination.min.js"></script>
    <script
      type="text/javascript"
      src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.5/dist/jquery.validate.min.js"
    ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.33/sweetalert2.min.js"></script> 
    <script>
      $(document).ready(function () {
        const gAPI_URL = 'http://localhost:8080/'

        navbarTranform()
        $(window).scroll(navbarTranform)

        function navbarTranform() {
          if ($(document).scrollTop() > 30) {
            $('#navbar-main').addClass('transform')
            $('#navbar-main').addClass('navbar-dark bg-dark')
            $('#navbar-main').removeClass('navbar-light  bg-light')
          } else {
            $('#navbar-main').removeClass('transform')
            $('#navbar-main').removeClass('navbar-dark bg-dark')
            $('#navbar-main').addClass('navbar-light bg-light')
          }
        }

        $('#submit-btn').click(function (e) {
          e.preventDefault()
          // get value
          let user = {
            username: $('#inp-username').val(),
            contactName: $('#inp-fullname').val(),
            password: $('#inp-password').val(),
            email: $('#inp-email').val(),
            mobile: $('#inp-phone').val(),
            address: $('#inp-address').val(),
          }
          // console.log(user)
          if ($('#register-form').valid()) {
            signup(user)
          }
        })

        // signup
        function signup(param) {
          Swal.fire({
            title: 'Vui lòng xác nhận?',
            position: 'top',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Xác nhận',
          }).then((result) => {
            if (result.isConfirmed) {
              $.ajax({
                type: 'post',
                url: gAPI_URL + 'customer',
                data: JSON.stringify(param),
                async: false,
                contentType: 'application/json; charset=utf-8',
                success: function (respond) {
                  // console.log('customer', respond)
                  $('#inp-username').val('')
                  $('#inp-address').val('')
                  $('#inp-phone').val('')
                  $('#inp-fullname').val('')
                  $('#inp-email').val('')
                  $('#inp-password').val('')
                  $('#modal-success').modal('show')
                },
                error: function (error) {
                  // console.log(error.responseText)
                  // alert(error.responseText)
                  Swal.fire({
                    position: 'top',
                    icon: 'error',
                    title: error.responseText,
                    showConfirmButton: false,
                    timer: 2000,
                  })
                },
              })
            }
          })
        }

        //
        $('.btn-confirm').click(function (e) {
          e.preventDefault()
          window.location.href = 'login.html'
        })

        // validate data
        $('#register-form').validate({
          rules: {
            username: 'required',
            fullname: 'required',
            password: 'required',
            email: {
              required: true,
              email: true,
            },
            phone: {
              required: true,
              number: true,
            },
          },
          messages: {
            username: 'Vui lòng nhập tên đăng nhập',
            username: 'Vui lòng nhập tên',
            password: 'Vui lòng nhập password',
            email: 'Vui lòng nhập email',
            phone: 'Vui lòng nhập Số điện thoại',
          },
        })
      })
    </script>
  </body>
</html>
